DCMTK Version 3.6.9 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
OFis_signed< T > Struct Template Reference

Metafunction to determine if a type is signed. More...

## Detailed Description

template<typename T>
struct OFis_signed< T >

Metafunction to determine if a type is signed.

OFis_signed is based on OFintegral_constant and evaluates to OFTrue if a signed type is probed, otherwise OFis_signed<...>::value equals OFFalse.

See also
  http://en.cppreference.com/w/cpp/types/is_signed for details.

Template Parameters

  T | The type to inspect, e.g. "int" or "float".

The documentation for this struct was generated from the following file:

- ofstd/include/dcmtk/ofstd/oftraits.h

Generated on Sat Mar 1 2025 for DCMTK Version 3.6.9 by Doxygen 1.13.2